/*General*/
h1, h2, h3, h4, h5, h6{
    font-family: 'Roboto', sans-serif;
}

p, span, input::placeholder{
    font-family: 'Montserrat', sans-serif;
}

/*Header*/
.header{
    width: 100%;
    background-color: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 0px;
    position: fixed !important;
    z-index: 5000;
    top: 0;
    box-shadow: 1px 1px 10px rgb(173, 173, 173);
}
  
.logoImg{
    max-width: 100px !important;
    padding-left: 30px;
}
  
.menu{
    display: flex;
}

.menuList{
    display: flex;
    align-items: center;
    margin-bottom: 0px;
}

.menuItem{
    margin: 0px 20px;
    list-style: none;
}

.menuItem a{
    text-decoration: none;
    color: #575757;
    text-transform: uppercase;
    font-size: 14px;
    padding: 10px 0px;
}

.menuItem a:hover{
    color: #24609e;
    border-bottom: 3px #24609e solid;
    transition: all ease-in-out 300ms;
}

.contactAndLanguageButtons{
    padding-right: 30px;
}

.contactLink{
    text-decoration: none;
    background: rgb(36,96,158);
    background: linear-gradient(90deg, rgba(36,96,158,1) 0%, rgba(56,116,179,1) 50%, rgba(73,134,196,1) 100%);
    padding: 10px 25px;
    border-radius: 30px;
    color: #fff;
    text-transform: uppercase;
    font-size: 14px;
    margin-right: 30px;
}

.responsiveBtnAction{
    display: none;
}

.responsiveBtn{
    max-width: 30px;
}

.changeLanguageBtn{
    background: none;
    border: none;
    outline: none;
    color:#444444;
}

.idiomaIconImg{
    max-width: 20px;
}

.menuResponsive{
    display: none;
    position: fixed;
    top: 0px;
    width: 100%;
    height: 70%;
    flex-direction: column;
    background: #fff;
    z-index: 6000;
}

.oppacityResponsive{
    display: none;
    background: rgba(0, 0, 0, 0.55);
    position: fixed;
    top: 0;
    width: 100%;
    height: 100vh;
    z-index: 4000;
}

.cerrarContainer{
    display: flex;
    justify-content: flex-end;
    padding-top: 20px;
    padding-right: 30px;
}

.cerrarBtn{
    background: none;
    border: none;
    font-size: 24px;
}

.logoResponsiveContainer{
    display: flex;
    justify-content: center;
}

.logoResponsiveContainer .logoImg{
    max-width: 160px !important;
    padding-left: 0px !important;
    margin-bottom: 10px;
}

.menuListResp{
    padding-left: 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.menuListResp .menuItem{
    margin: 10px;
}

.contactAndLanguageButtonsResp{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 20px;
}

.contactAndLanguageButtonsResp .contactLink{
    margin-right: 0px;
    margin-bottom: 20px;
}
/*HERO*/
.hero{
    margin-top: 50px;
}

.slideItem{
    max-width: 100% !important;
    height: 600px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-left: 100px;
}

.slideSecondItem{
    max-width: 100% !important;
    height: 600px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-left: 150px;
    padding-bottom: 50px;
}

.slideItemDescription{
    max-width: 520px;
    font-size: 36px;
    text-align: center;
}

.generalBtnContainer{
    margin-top: 60px;
    max-width: 480px;
    display: flex;
    justify-content: center;
}

.slideItemBtnBlue{
    width: fit-content;
    text-decoration: none;
    text-align: center;
    background: rgb(36,96,158);
    background: linear-gradient(90deg, rgba(36,96,158,1) 0%, rgba(56,116,179,1) 50%, rgba(73,134,196,1) 100%);
    padding: 10px 40px;
    border-radius: 30px;
    color: #fff;
    text-transform: uppercase;
    font-size: 26px;
}

.slideItemBtnBlueLight{
    width: fit-content;
    text-decoration: none;
    text-align: center;
    background: #4DA9B5;
    background: linear-gradient(90deg, #4DA9B5 0%, #53b8c5 50%, #5bc8d6 100%);
    padding: 10px 40px;
    border-radius: 30px;
    color: #fff;
    text-transform: uppercase;
    font-size: 26px;
}

/*About us section*/
.about{
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin: 80px 0px;
}

.aboutImg{
    max-width: 30%;
}

.aboutContent{
    max-width: 480px;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}

.aboutContentTitle{
    margin-bottom: 40px;
    padding-bottom: 20px;
    align-self: center;
    border-bottom: 2px #4AA2AE solid;
    font-size: 28px;
}

.aboutBox{
    padding: 25px;
    background: #fff;
    box-shadow: 1px 1px 6px #8b8b8b;
    border-top-left-radius: 20px;
    border-bottom-right-radius: 20px;
    position: relative;
    z-index: 250;
}

.trianguloTopLeft, .trianguloBottomRight{
    max-width: 80px;
}

.trianguloTopLeft{
    position: absolute;
    top: 45px;
    left: 5px;
    z-index: 200;
}

.trianguloBottomRight{
    position: absolute;
    bottom: -60px;
    right: 30px;
}

.aboutBoxTitle{
    color: #4AA2AE;
    margin-bottom: 30px;
    font-size: 26px;
}

.aboutBoxDescription{
    color: #444444;
    line-height: 25px;
    padding-bottom: 20px;
    border-bottom: 2px #4AA2AE dashed;
}
/*Services*/

.services{
    width: 100%;
    height: 800px;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-image: url("../img/que hacemos fondo.png");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

.servicesTitle{
    margin-bottom: 60px;
    font-size: 32px;
}

.servicesSubtitle{
    font-size: 14px;
    color: #336DAA;
    text-transform: uppercase;
}

.servicesContainer{
    width: 80%;
    display: flex;
    justify-content: space-between;
}

.serviceBox{
    max-width: 300px;
    padding: 60px 10px;
    background-color: #fff;
    border-top-left-radius: 30px;
    border-bottom-right-radius: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-shadow: 3px 3px 10px rgb(146, 146, 146);
}

.serviceTitle{
    margin: 20px 0px;
    font-size: 22px;
}

.serviceOne{
    color: #3D85BC;
}

.serviceTwo{
    color: #F4AC71;
}

.serviceThree{
    color: #4DA9B5;
}

.serviceDescription{
    font-size: 20px;
    text-align: center;
    color:#575757;
}

.serviceImg{
    max-width: 90px;
}

.servicesLinkBtnContainer{
    display: flex;
    justify-content: center;
    margin-top: 60px;
}

.servicesLinkBtn{
    text-decoration: none;
    text-align: center;
    background-color: #FCBA11;
    padding: 10px 40px;
    border-radius: 30px;
    color: #fff;
    text-transform: uppercase;
    font-size: 26px;
}

/*OFFER*/
.offerContainer{
    height: 680px;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: center;
    background-image: url("../img/como lo hacemos sin texto.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.offerSubtitle{
    font-size: 14px;
    color: #F7A728;
    text-transform: uppercase;
    text-align: center;
}

.offerTitle{
    margin-bottom: 60px;
    font-size: 32px;
    text-align: center;
}

.offerBox{
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 60%;
    padding: 10px 20px;
    margin: 20px 10px;
}

.offerBoxTitle{
    font-size: 22px;
    color: #575757;
    text-align: center;
    width: 250px;
}

.OfferBoxDescription{
    width: 400px;
    color: #575757;
    font-size: 22px;
}

.offerSeparator{
    background-color: #F7A728;
    min-width: 10px !important;
    height: 10px;
    border-radius: 50%;
}

.offerImgResponsiveContainer{
    display: none;
}

/*TESTIMONIO*/
.testimonios{
    padding: 80px 0px;
}

.slides-3{
    height: 480px !important;
}

.testimoniosTitle{
    margin-bottom: 60px;
    font-size: 32px;
    text-align: center;
}

.testimoniosSubtitle{
    font-size: 14px;
    color: #C6569A;
    text-transform: uppercase;
    text-align: center;
}
.testimonioCard{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.testimonioImageCard{
    max-width: 100px;
    border-radius: 50%;
    margin-bottom: 20px;
}

.testimonioNameCard{
    font-size: 18px;
    margin-bottom: 10px;
}

.testimonioDescriptionCard{
    width: 60%;
    height: 120px;
    margin-bottom: 10px;
    padding: 5px 20px;
    text-align: center;
}

.testimonioLinkCard{
    display: block;
    margin-top: 10px !important;
    position: relative;
    top: 20px;
}

/*Contacto*/
.contact{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 60px 0px;
}

.contactContent{
    display: flex;
    justify-content: center;
    width: 95%;
}

.contactDescription{
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.contactDescriptionText{
    width: 80%;
}

.contactDescriptionTitle{
    font-size: 32px;
    margin-bottom: 30px;
    width: 80%;
}

.contactDescriptionText{
    width: 80%;
}

.contactForm{
    width: 50%;
}

.inputContainer {
    width: 90%;
    position: relative;
    margin-bottom: 40px;
}

.inputPhoneContainer{
    width: 90%;
    display: flex;
    justify-content: space-between;
}

.inputCodeContainer{
    width: 8%;
    position: relative;
    margin-bottom: 40px;
    margin-right: 20px;
}

.inputNumberContainer{
    width: 90%;
    position: relative;
    margin-bottom: 40px;
}
  
  /* Estilo para el input */
.inputContainer input[type="text"] {
    border: none; /* Elimina el borde predeterminado del input */
    border-bottom: 1px solid gray; /* Agrega el borde inferior gris de 1px */
    padding-right: 30px; /* Espacio para el icono */
    width: 100%; /* Ocupa todo el ancho disponible */
    outline: none;
    padding-bottom: 10px;
}

.inputCodeContainer input[type="text"], .inputNumberContainer input[type="text"]{
    border: none; /* Elimina el borde predeterminado del input */
    border-bottom: 1px solid gray; /* Agrega el borde inferior gris de 1px */
    padding-right: 0px; /* Espacio para el icono */
    width: 100%; /* Ocupa todo el ancho disponible */
    outline: none;
    padding-bottom: 10px;
}

.inputContainer input[type="text"]::placeholder{
    font-size: 16px;
}

.iconContact{
    max-width: 20px;
}

.inputContainer .iconContact, .inputNumberContainer .iconContact {
    display: inline;
    position: absolute;
    top: 50%;
    right: 25px;
    transform: translateY(-50%);
    color: gray; /* Color del icono */
}

.messageBox{
    width: 90%;
    border: 1px grey solid;
    border-radius: 15px;
    padding: 20px;
}

.messageBox::placeholder{
    font-size: 16px;
}

.contactBtn{
    width: fit-content;
    text-align: center;
    background: rgb(36,96,158);
    background: linear-gradient(90deg, rgba(36,96,158,1) 0%, rgba(56,116,179,1) 50%, rgba(73,134,196,1) 100%);
    padding: 10px 20px;
    border-radius: 30px;
    color: #fff;
    font-size: 16px;
    outline: none;
    border: none;
    margin: 20px 0px;
}

/*FOOTER*/
.footer{
    width: 100%;
    background-color: #336DAA;
}

.footerContent{
    width: 100%;
    height: 150px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logoFooterImg{
    max-width: 250px !important;
    padding-left: 120px;
}

.copyrightFooter{
    color: #fff;
    font-size: 14px;
}

.contactFooter{
    display: flex;
    flex-direction: column;
    font-size: 14px;
    padding-right: 120px;
}

.contactFooterTitle{
    color: #fff;
    font-size: 22px;
}

.contactFooterItem span{
    color: #fff;
}

.redesSocialesFooter{
    color: #fff;
    display: flex;
    align-items: center;
}

.scroll-top {
    display: none !important;
}

/*Responsive*/
.sliderResponsive{
    display: none;
}

.servicesSliderResponsive{
    display: none;
}

.offerImgResponsiveContainer{
    display: none;
}

.responsiveBtnContainer{
    display: none;
}

.responsiveBtnAction{
    border: none;
    background: none;
}

.responsiveBtn{
    max-width: 30px;
    margin-right: 20px;
}

.responsiveMenu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 70%;
    background-color: #fff; /* Fondo blanco o el color que desees */
    overflow-y: auto; /* Permite desplazamiento si el contenido es largo */
    transition: height 0.3s ease-in-out; /* Animación de altura */
    z-index: 1000; /* Asegura que esté por encima de otros elementos */
    padding: 50px 10px;
  }
  
  /* Estilo para los elementos del menú responsive */
  .responsiveMenu ul {
    list-style: none;
    padding: 0;
  }
  
  .responsiveMenu li {
    padding: 10px 20px;
  }
  
  /* Estilo para el botón de cerrar el menú */
  .closeButton {
    position: absolute;
    top: 10px;
    right: 60px;
    cursor: pointer;
    border: none;
    background: none;
    font-size: 20px;
  }

  .sliderServices{
    display: none;
  }

.responsiveHeroImg{
    display: none;
}

@media screen and (max-width: 580px) {
    /*HEADER*/
    .menu, .contactAndLanguageButtons{
        display: none;
    }

    .logoImg{
        max-width: 100px !important;
    }

    .responsiveBtnContainer{
        display: block;
    }

    .responsiveBtnAction{
        display: block;
    }

    /*Hero*/

    .slider{
        display: none;
    }

    .slideItem{
        flex-direction: column;
        align-items: center;
        background: none;
        padding: 10px 5px;
    }

    .responsiveHeroImg{
        display: block;
    }

    .heroImgResponsive{
        max-width: 300px;
    }

    .sliderResponsive{
        display: inline-block;
        width: 100vw;
    }

    .generalBtnContainer{
        margin-top: 10px;
    }

    .slideResponsiveItem{
        padding: 50px 0px;
        margin-top: 80px;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .slideItemDescription{
        font-size: 22px;
        padding: 0px 30px;
    }

    .slideItemBtnBlue, .slideItemBtnBlueLight{
        font-size: 18px;
    }

    .slideResponsiveImg{
        max-width: 350px;
    }

    .slideResponsiveImgSecond{
        max-width: 250px;
    }

    /*About*/
    .about{
        flex-direction: column;
        align-items: center;
        width: 100%;
    }

    .aboutImg{
        max-width: 80%;
        margin-bottom: 20px;
    }

    .aboutContent{
        align-items: center;
        width: 95%;
    }

    .aboutBox{
        max-width: 90%;
    }

    .trianguloTopLeft, .trianguloBottomRight{
        max-width: 50px;
    }

    .trianguloTopLeft{
        top: 70px;
    }

    .trianguloBottomRight{
        bottom: -40px;
    }

    /*Services*/
    .servicesContainer{
        display: none;
    }

    .servicesSliderResponsive{
        display: block;
        margin: 60px 0px;
    }

    .servicesSlideItem{
        max-width: 100% !important;
        display: flex;
        justify-content: center;
    }

    .serviceBox{
        max-width: 100%;
        border-top-left-radius: 0px;
        border-bottom-right-radius: 0px;
        height: 320px;
        justify-content: center;
    }

    .sliderServices{
        display: inline-block;
        max-width: 100%;
    }

    /*Offer*/
    .offerContainer{
        width: 100%;
        height: inherit;
    }

    .offerBox{
        width: 100%;
        flex-direction: column;
        align-items: center;
        padding: 10px 0px;
        margin: 20px 0px;
    }

    .offerImgResponsiveContainer{
        display: flex;
        justify-content: center;
    }

    .offerImgResponsive{
        max-width: 250px;
    }

    .OfferBoxDescription{
        width: 80%;
        text-align: center;
    }

    .offerSeparator{
        margin: 30px 0px;
    }

    /*TESTIMONIO*/
    .testimonioDescriptionCard{
        width: 300px;
        height: 160px;
    }

    /*CONTACTO*/
    .contactContent{
        flex-direction: column;
        align-items: center;
    }

    .contactDescription{
        width: 90%;
        margin-bottom: 30px;
    }

    .contactDescriptionTitle, .contactDescriptionText{
        text-align: center;
    }
    .messageBox{
        width: 100%;
    }

    .contactForm{
        width: 90%;
        display: flex;
        flex-direction: column;
    }

    .contactBtn{
        align-self: center;
    }

    .inputContainer{
        width: 100%;
    }

    .inputPhoneContainer{
        width: 100%;
    }

    .inputCodeContainer{
        width: 10%;
    }
    
    .inputNumberContainer{
        width: 85%;
    }

    /*FOOTER*/
    .footer{
        padding: 60px 0px 80px 0px;
    }

    .footerContent{
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 10px;
    }

    .logoFooterImg{
        padding: 0px;
        max-width: 180px !important;
    }

    .contactFooter{
        padding: 0px;
        margin-top: 40px;
    }

    .redesSocialesFooter{
        margin-top: 40px;
    }
}

/*Responsive desktop*/

@media (min-width: 1450px) and (max-width: 1679px){
    .offerBox{
        max-width: 800px;
        margin-right: 80px;
    }

    .offerContainer{
        padding-right: 100x;
    }

    .slideItemDescription{
        font-size: 42px;
        max-width: 600px;
    }

    .generalBtnContainer{
        max-width: 600px;
    }
}


@media (min-width: 1680px) {
    .header{
        padding: 20px 0px;
    }

    .logoImg{
        max-width: 140px !important;
    }

    .menuItem a, .contactLink, .changeLanguageBtn{
        font-size: 18px;
    }

    .slideItem{
        padding-left: 180px;
    }

    .slideItemDescription{
        font-size: 48px;
        max-width: 650px;
    }

    .generalBtnContainer{
        max-width: 650px;
    }

    .servicesTitle, .offerTitle, .testimoniosTitle{
        font-size: 42px;
    }

    .servicesSubtitle, .offerSubtitle, .testimoniosSubtitle{
        font-size: 18px;
    }

    .aboutImg{
        max-width: 500px;
        margin-left: 100px;
    }

    .aboutContentTitle{
        font-size: 48px;
    }

    .aboutContent{
        margin-right: 180px;
    }

    .trianguloTopLeft{
        top: 60px;
        left: -80px;
    }

    .trianguloBottomRight{
        right: -15px;
    }

    .aboutBox{
        width: 700px;
        padding: 40px;
    }

    .aboutBoxTitle{
        font-size: 48px;
    }

    .aboutBoxDescription{
        font-size: 26px;
        line-height: 32px;
    }

    .services{
        background-size: cover;
        background-position: center;
    }

    .serviceBox{
        max-width: 400px;
    }

    .servicesContainer{
        justify-content: space-around;
    }

    .offerContainer{
        height: 900px;
        padding-right: 100px;
    }

    .offerBox{
        max-width: 900px;
    }

    .offerBoxTitle, .OfferBoxDescription{
        font-size: 28px;
    }

    .contactDescriptionTitle{
        font-size: 42px;
    }

    .contactDescriptionText{
        font-size: 22px;
    }

    .contactBtn{
        width: 120px;
    }
}


